package com.clx.performance.service.impl;

import com.clx.performance.dao.SettlementOwnerDao;
import com.clx.performance.enums.PerformanceResultEnum;
import com.clx.performance.model.SettlementOwner;
import com.clx.performance.service.SettlementOwnerService;
import com.clx.performance.struct.SettlementOwnerStruct;
import com.clx.settlement.vo.pc.CarrierSettlementOwnerDetailVO;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author liruixin
 * Date 2023-10-12
 * Time 09:43
 */
@Slf4j
@Service
@AllArgsConstructor
public class SettlementOwnerServiceImpl  implements SettlementOwnerService {

    private final SettlementOwnerDao settlementOwnerDao;

    private final SettlementOwnerStruct settlementOwnerStruct;


    @Override
    public CarrierSettlementOwnerDetailVO getCarrierSettlementOwnerDetail(Integer id) {
        SettlementOwner settlementOwner =settlementOwnerDao.getEntityByKey(id).orElseThrow(PerformanceResultEnum.DATA_NOT_FIND);
        return settlementOwnerStruct.convert(settlementOwner);
    }
}
